<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__ofcd__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_ofcd_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__ofcd__context__t_1adac662a3fdcbff352d05b47127722437" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_ofcd_context_t::touchStartTime1</definition>
        <argsstring />
        <name>touchStartTime1</name>
        <briefdescription>
<para>Touchdown time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofcd__context__t_1aa31dd67b76a421f313721950384c14ab" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_ofcd_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="97" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="97" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofcd__context__t_1affdde7ae14962e5fb4a245bcc6431f46" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofcd_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="98" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture One Finger Click and Drag context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="187">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="186">
        <label>cy_stc_capsense_ofcd_context_t</label>
        <link refid="structcy__stc__capsense__ofcd__context__t" />
        <childnode refid="187" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="99" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="95" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__ofcd__context__t_1affdde7ae14962e5fb4a245bcc6431f46" virt="non-virtual"><scope>cy_stc_capsense_ofcd_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofcd__context__t_1aa31dd67b76a421f313721950384c14ab" virt="non-virtual"><scope>cy_stc_capsense_ofcd_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofcd__context__t_1adac662a3fdcbff352d05b47127722437" virt="non-virtual"><scope>cy_stc_capsense_ofcd_context_t</scope><name>touchStartTime1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>